"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  labelDuration: 200,
  labelColor: 'gray',
  labelActiveColor: '#3f51b5',
  labelActiveScale: 0.8,
  labelActiveTop: -18
};
const Label = _ref => {
  let {
    hasValue,
    focused,
    labelActiveScale = defaultProps.labelActiveScale,
    labelActiveTop = defaultProps.labelActiveTop,
    labelDuration = defaultProps.labelDuration,
    paddingTop,
    paddingRight,
    paddingLeft,
    activeColor,
    fontSize,
    fontFamily,
    fontWeight,
    label,
    labelColor = defaultProps.labelColor,
    labelActiveColor = defaultProps.labelActiveColor,
    error,
    errorColor
  } = _ref;
  const [animatedScale] = (0, _react.useState)(new _reactNative.Animated.Value(hasValue || focused ? labelActiveScale : 1));
  const [animatedTranslate] = (0, _react.useState)(new _reactNative.Animated.Value(hasValue || focused ? labelActiveTop : 0));
  (0, _react.useEffect)(() => {
    _reactNative.Animated.timing(animatedScale, {
      toValue: hasValue || focused ? labelActiveScale : 1,
      duration: labelDuration,
      useNativeDriver: true
    }).start();
    _reactNative.Animated.timing(animatedTranslate, {
      toValue: hasValue || focused ? labelActiveTop : 0,
      duration: labelDuration,
      useNativeDriver: true
    }).start();
  }, [hasValue, focused]);
  const viewRTLStyles = _reactNative.I18nManager.doLeftAndRightSwapInRTL ? {
    marginLeft: '-100%'
  } : {
    marginRight: '-100%'
  };
  const textRTLStyles = _reactNative.I18nManager.doLeftAndRightSwapInRTL ? {
    left: '50%'
  } : {
    right: '50%'
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: {
      ...viewRTLStyles,
      position: 'absolute',
      width: '200%',
      top: paddingTop,
      transform: [{
        translateY: animatedTranslate
      }, {
        scale: animatedScale
      }]
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: {
      ...textRTLStyles,
      top: 0,
      paddingRight,
      paddingLeft,
      color: error ? errorColor : focused ? activeColor || labelActiveColor : labelColor,
      textAlign: 'left',
      fontFamily,
      fontSize,
      fontWeight
    }
  }, label));
};
var _default = Label;
exports.default = _default;
//# sourceMappingURL=Label.js.map