"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  placeholderColor: 'gray'
};
const Placeholder = _ref => {
  let {
    paddingTop,
    paddingRight,
    paddingBottom,
    paddingLeft,
    fontFamily,
    fontSize,
    fontWeight,
    placeholder,
    placeholderColor = defaultProps.placeholderColor,
    hasValue,
    focused
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: {
      position: 'absolute',
      top: 0,
      paddingTop,
      paddingRight,
      paddingBottom,
      paddingLeft,
      color: placeholderColor,
      backgroundColor: 'transparent',
      opacity: focused && !hasValue ? 1 : 0,
      fontFamily,
      fontSize,
      fontWeight
    }
  }, placeholder);
};
var _default = Placeholder;
exports.default = _default;
//# sourceMappingURL=Placeholder.js.map