import React from 'react';
import { Text } from 'react-native';
const defaultProps = {
  placeholderColor: 'gray'
};
const Placeholder = _ref => {
  let {
    paddingTop,
    paddingRight,
    paddingBottom,
    paddingLeft,
    fontFamily,
    fontSize,
    fontWeight,
    placeholder,
    placeholderColor = defaultProps.placeholderColor,
    hasValue,
    focused
  } = _ref;
  return /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    style: {
      position: 'absolute',
      top: 0,
      paddingTop,
      paddingRight,
      paddingBottom,
      paddingLeft,
      color: placeholderColor,
      backgroundColor: 'transparent',
      opacity: focused && !hasValue ? 1 : 0,
      fontFamily,
      fontSize,
      fontWeight
    }
  }, placeholder);
};
export default Placeholder;
//# sourceMappingURL=Placeholder.js.map